@base <https://purl.org/coscine/ap/sfb1394/CalphadCalc/> .

@prefix dash: <http://datashapes.org/dash#> .
@prefix rdf: <http://www.w3.org/1999/02/22-rdf-syntax-ns#> .
@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix rdfs: <http://www.w3.org/2000/01/rdf-schema#> .
@prefix qudt: <http://qudt.org/schema/qudt/> .
@prefix unit: <http://qudt.org/vocab/unit/> .
@prefix csmd: <http://www.purl.org/net/CSMD/4.0#> .
@prefix dcterms: <http://purl.org/dc/terms/> .
@prefix sfb1394: <http://purl.org/coscine/terms/sfb1394#> .
@prefix coscineSfb1394CalphadCalc: <https://purl.org/coscine/ap/sfb1394/CalphadCalc#> .

 # CalphadCalc 
<https://purl.org/coscine/ap/sfb1394/CalphadCalc/>
  dcterms:license <http://spdx.org/licenses/MIT> ;
  dcterms:publisher <https://itc.rwth-aachen.de/> ;
  dcterms:rights "Copyright © 2020 IT Center, RWTH Aachen University" ;
  dcterms:title "SFB1394 CalphadCalc"@en ;

  a sh:NodeShape ;
  sh:targetClass <https://purl.org/coscine/ap/sfb1394/CalphadCalc/> ;
  sh:closed true ;

  sh:property [
    sh:path rdf:type ;
  ] ;

  sh:property coscineSfb1394CalphadCalc:ID ;
  sh:property coscineSfb1394CalphadCalc:aliasID ;
  sh:property coscineSfb1394CalphadCalc:user ;
  sh:property coscineSfb1394CalphadCalc:date ;
  sh:property coscineSfb1394CalphadCalc:affiliation ;
  sh:property coscineSfb1394CalphadCalc:dois ;
  sh:property coscineSfb1394CalphadCalc:database ;
  sh:property coscineSfb1394CalphadCalc:elementsSelected ;
  sh:property coscineSfb1394CalphadCalc:typeOfCalculation ;
  sh:property coscineSfb1394CalphadCalc:conditions ;
  sh:property coscineSfb1394CalphadCalc:axesUsedForSteppingOrMapping ;
  sh:property coscineSfb1394CalphadCalc:fixedPhases ;
  sh:property coscineSfb1394CalphadCalc:rejectedPhases ;
  sh:property coscineSfb1394CalphadCalc:axesUsedForPlotting ;
  sh:property coscineSfb1394CalphadCalc:comments ;
.

coscineSfb1394CalphadCalc:ID 
  sh:path dcterms:identifier ;
  sh:order 0 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:minLength 1 ;
  sh:datatype xsd:string ;
  sh:name "ID"@en, "ID"@de ;
. 

coscineSfb1394CalphadCalc:aliasID 
  sh:path sfb1394:aliasID ;
  sh:order 1 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "External/alias ID"@en, "External/alias ID"@de ;
. 

coscineSfb1394CalphadCalc:user 
  sh:path dcterms:creator ;
  sh:order 2 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:minLength 1 ;
  sh:datatype xsd:string ;
  sh:defaultValue "{ME}" ;
  sh:name "User"@en, "User"@de ;
. 

coscineSfb1394CalphadCalc:date 
  sh:path dcterms:created ;
  sh:order 3 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:datatype xsd:date ;
  sh:defaultValue "{TODAY}" ;
  sh:name "Date"@en, "Date"@de ;
. 

coscineSfb1394CalphadCalc:affiliation 
  sh:path sfb1394:affiliation ;
  sh:order 4 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Affiliation"@en, "Affiliation"@de ;
. 

coscineSfb1394CalphadCalc:dois 
  sh:path dcterms:isReferencedBy ;
  sh:order 5 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  dash:singleLine false ;
  sh:name "DOIs"@en, "DOIs"@de ;
. 

coscineSfb1394CalphadCalc:database 
  sh:path sfb1394:database ;
  sh:order 6 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Database"@en, "Database"@de ;
. 

coscineSfb1394CalphadCalc:elementsSelected 
  sh:path sfb1394:elementsSelected ;
  sh:order 7 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Elements selected"@en, "Elements selected"@de ;
. 

coscineSfb1394CalphadCalc:typeOfCalculation 
  sh:path sfb1394:typeOfCalculation ;
  sh:order 8 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Type of calculation"@en, "Type of calculation"@de ;
. 

coscineSfb1394CalphadCalc:conditions 
  sh:path sfb1394:conditions ;
  sh:order 9 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  dash:singleLine false ;
  sh:name "Conditions"@en, "Conditions"@de ;
. 

coscineSfb1394CalphadCalc:axesUsedForSteppingOrMapping 
  sh:path sfb1394:axesUsedForSteppingOrMapping ;
  sh:order 10 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  dash:singleLine false ;
  sh:name "Axes used for stepping or mapping"@en, "Axes used for stepping or mapping"@de ;
. 

coscineSfb1394CalphadCalc:fixedPhases 
  sh:path sfb1394:fixedPhases ;
  sh:order 11 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Fixed phases"@en, "Fixed phases"@de ;
. 

coscineSfb1394CalphadCalc:rejectedPhases 
  sh:path sfb1394:rejectedPhases ;
  sh:order 12 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Rejected phases"@en, "Rejected phases"@de ;
. 

coscineSfb1394CalphadCalc:axesUsedForPlotting 
  sh:path sfb1394:axesUsedForPlotting ;
  sh:order 13 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  dash:singleLine false ;
  sh:name "Axes used for plotting"@en, "Axes used for plotting"@de ;
. 

coscineSfb1394CalphadCalc:comments 
  sh:path sfb1394:comments ;
  sh:order 14 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  dash:singleLine false ;
  sh:name "Comments"@en, "Comments"@de ;
. 
